Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataSetToPolyDataFilter Class Reference

`#include <vtkDataSetToPolyDataFilter.h>`

Inheritance diagram for vtkDataSetToPolyDataFilter:

[legend]
Collaboration diagram for vtkDataSetToPolyDataFilter:

[legend]
List of all members.

## Detailed Description

abstract filter class

Date:
  2002/10/04 20:43:43

Revision:
  1.22

vtkDataSetToPolyDataFilter is an abstract filter class whose subclasses take as input any dataset and generate polygonal data on output.

See also:
  vtkContourFilter vtkCutter vtkEdgePoints vtkExtractEdges vtkGeometryFilter vtkGlyph3D vtkHedgeHog vtkHyperStreamline vtkMaskPoints vtkOutlineFilter vtkStreamer vtkTensorGlyph vtkThresholdPoints vtkVectorTopology

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (59%)
  - Law, Charles (15%)
  - Cedilnik, Andy (10%)
  - Lorensen, Bill (9%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkDataSetToPolyDataFilter.cxx)`
  - .`h` (`/Filtering/vtkDataSetToPolyDataFilter.h)`

Definition at line 52 of file vtkDataSetToPolyDataFilter.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | ComputeInputUpdateExtents (vtkDataObject *output)
virtual void | SetInput (vtkDataSet *input)
vtkDataSet * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkDataSetToPolyDataFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataSetToPolyDataFilter ()
| ~vtkDataSetToPolyDataFilter ()

## Member Typedef Documentation

typedef vtkPolyDataSource vtkDataSetToPolyDataFilter::Superclass

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkCellCenters, vtkContourFilter, vtkCutter, vtkDashedStreamLine, vtkDataSetSurfaceFilter, vtkEdgePoints, vtkExtractEdges, vtkGeometryFilter, vtkGlyph2D, vtkGlyph3D, vtkHedgeHog, vtkHyperStreamline, vtkMaskPoints, vtkOutlineCornerFilter, vtkOutlineFilter, vtkProgrammableGlyphFilter, vtkStreamer, vtkStreamLine, vtkStreamPoints, vtkStreamTracer, vtkTensorGlyph, vtkThresholdPoints, vtkCutMaterial, vtkPOutlineCornerFilter, vtkPOutlineFilter, vtkPStreamTracer, vtkPVGeometryFilter, vtkKitwareContourFilter, vtkMarchingContourFilter, and vtkSelectVisiblePoints. Definition at line 55 of file vtkDataSetToPolyDataFilter.h.

## Constructor & Destructor Documentation

vtkDataSetToPolyDataFilter::vtkDataSetToPolyDataFilter | ( |  | ) | `[inline, protected]`

| Definition at line 68 of file vtkDataSetToPolyDataFilter.h.

vtkDataSetToPolyDataFilter::~vtkDataSetToPolyDataFilter | ( |  | ) | `[inline, protected]`

| Definition at line 69 of file vtkDataSetToPolyDataFilter.h.

## Member Function Documentation

virtual const char* vtkDataSetToPolyDataFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkCellCenters, vtkContourFilter, vtkCutter, vtkDashedStreamLine, vtkDataSetSurfaceFilter, vtkEdgePoints, vtkExtractEdges, vtkGeometryFilter, vtkGlyph2D, vtkGlyph3D, vtkHedgeHog, vtkHyperStreamline, vtkMaskPoints, vtkOutlineCornerFilter, vtkOutlineFilter, vtkProgrammableGlyphFilter, vtkStreamer, vtkStreamLine, vtkStreamPoints, vtkStreamTracer, vtkTensorGlyph, vtkThresholdPoints, vtkCutMaterial, vtkPOutlineCornerFilter, vtkPOutlineFilter, vtkPStreamTracer, vtkPVGeometryFilter, vtkKitwareContourFilter, vtkMarchingContourFilter, and vtkSelectVisiblePoints.

int vtkDataSetToPolyDataFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource. Reimplemented in vtkCellCenters, vtkContourFilter, vtkCutter, vtkDashedStreamLine, vtkDataSetSurfaceFilter, vtkEdgePoints, vtkExtractEdges, vtkGeometryFilter, vtkGlyph2D, vtkGlyph3D, vtkHedgeHog, vtkHyperStreamline, vtkMaskPoints, vtkOutlineCornerFilter, vtkOutlineFilter, vtkProgrammableGlyphFilter, vtkStreamer, vtkStreamLine, vtkStreamPoints, vtkStreamTracer, vtkTensorGlyph, vtkThresholdPoints, vtkCutMaterial, vtkPOutlineCornerFilter, vtkPOutlineFilter, vtkPStreamTracer, vtkPVGeometryFilter, vtkKitwareContourFilter, vtkMarchingContourFilter, and vtkSelectVisiblePoints.

virtual int vtkDataSetToPolyDataFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource. Reimplemented in vtkCellCenters, vtkContourFilter, vtkCutter, vtkDashedStreamLine, vtkDataSetSurfaceFilter, vtkEdgePoints, vtkExtractEdges, vtkGeometryFilter, vtkGlyph2D, vtkGlyph3D, vtkHedgeHog, vtkHyperStreamline, vtkMaskPoints, vtkOutlineCornerFilter, vtkOutlineFilter, vtkProgrammableGlyphFilter, vtkStreamer, vtkStreamLine, vtkStreamPoints, vtkStreamTracer, vtkTensorGlyph, vtkThresholdPoints, vtkCutMaterial, vtkPOutlineCornerFilter, vtkPOutlineFilter, vtkPStreamTracer, vtkPVGeometryFilter, vtkKitwareContourFilter, vtkMarchingContourFilter, and vtkSelectVisiblePoints.

vtkDataSetToPolyDataFilter* vtkDataSetToPolyDataFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkCellCenters, vtkContourFilter, vtkCutter, vtkDashedStreamLine, vtkDataSetSurfaceFilter, vtkEdgePoints, vtkExtractEdges, vtkGeometryFilter, vtkGlyph2D, vtkGlyph3D, vtkHedgeHog, vtkHyperStreamline, vtkMaskPoints, vtkOutlineCornerFilter, vtkOutlineFilter, vtkProgrammableGlyphFilter, vtkStreamer, vtkStreamLine, vtkStreamPoints, vtkStreamTracer, vtkTensorGlyph, vtkThresholdPoints, vtkCutMaterial, vtkPOutlineCornerFilter, vtkPOutlineFilter, vtkPStreamTracer, vtkPVGeometryFilter, vtkKitwareContourFilter, vtkMarchingContourFilter, and vtkSelectVisiblePoints.

void vtkDataSetToPolyDataFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource. Reimplemented in vtkCellCenters, vtkContourFilter, vtkCutter, vtkDashedStreamLine, vtkDataSetSurfaceFilter, vtkEdgePoints, vtkExtractEdges, vtkGeometryFilter, vtkGlyph2D, vtkGlyph3D, vtkHedgeHog, vtkHyperStreamline, vtkMaskPoints, vtkOutlineCornerFilter, vtkProgrammableGlyphFilter, vtkStreamer, vtkStreamLine, vtkStreamPoints, vtkStreamTracer, vtkTensorGlyph, vtkThresholdPoints, vtkCutMaterial, vtkPOutlineCornerFilter, vtkPOutlineFilter, vtkPStreamTracer, vtkPVGeometryFilter, vtkKitwareContourFilter, vtkMarchingContourFilter, and vtkSelectVisiblePoints.

virtual void vtkDataSetToPolyDataFilter::SetInput | ( | vtkDataSet * | input | ) | `[virtual]`

| Set / get the input data or filter.

vtkDataSet* vtkDataSetToPolyDataFilter::GetInput | ( |  | ) |

| Set / get the input data or filter.

virtual void vtkDataSetToPolyDataFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[virtual]`

| Do not let images return more than requested. Reimplemented from vtkPolyDataSource. Reimplemented in vtkDataSetSurfaceFilter, vtkGeometryFilter, vtkGlyph3D, vtkPStreamTracer, and vtkKitwareContourFilter.

The documentation for this class was generated from the following file:

- Filtering/vtkDataSetToPolyDataFilter.h